org.opencv.ximgproc

## Class SelectiveSearchSegmentationStrategySize

- java.lang.Object
- - org.opencv.core.Algorithm
  - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategy
    - - org.opencv.ximgproc.SelectiveSearchSegmentationStrategySize

-     public class SelectiveSearchSegmentationStrategySize
      extends SelectiveSearchSegmentationStrategy

  Size-based strategy for the selective search segmentation algorithm The class is implemented from the algorithm described in CITE: uijlings2013selective.

- - ### Field Summary

    - ### Fields inherited from class org.opencv.core.Algorithm

      `nativeObj`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SelectiveSearchSegmentationStrategySize(long addr)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SelectiveSearchSegmentationStrategySize` | `__fromPtr__(long addr)`
    `protected void` | `finalize()`

    - ### Methods inherited from class org.opencv.ximgproc.SelectiveSearchSegmentationStrategy

      `get, merge, setImage, setImage`

    - ### Methods inherited from class org.opencv.core.Algorithm

      `clear, empty, getDefaultName, getNativeObjAddr, save`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SelectiveSearchSegmentationStrategySize

          protected SelectiveSearchSegmentationStrategySize(long addr)

  - ### Method Detail

    - #### __fromPtr__

          public static SelectiveSearchSegmentationStrategySize __fromPtr__(long addr)

    - #### finalize

          protected void finalize()
                           throws Throwable

      Overrides:
        `finalize` in class `SelectiveSearchSegmentationStrategy`
      Throws:
        `Throwable`

Generated on Thu Jul 25 2019 21:39:44 UTC / OpenCV 3.4.7